k8s: Add Makefile targets for external dependencies
Building "check" binary now requires several external dependencies. To
minimize setup effort, convenience make targets were provided.
Issue-ID: SECCOM-235
Change-Id: Iec74c0652a5ed3a90d4504216b00ef20bdb7e81f
Signed-off-by: Pawel Wieczorek <p.wieczorek2@samsung.com>
diff --git a/test/security/k8s/Makefile b/test/security/k8s/Makefile
index b42e48a..e7f978f 100644
--- a/test/security/k8s/Makefile
+++ b/test/security/k8s/Makefile
@@ -1,5 +1,7 @@
PROJECT = check
BIN_DIR = bin
+SRC_DIR = src
+PKG_DIR = pkg
BIN = check
all: run
@@ -10,15 +12,24 @@
build: $(BIN)
$(BIN): export GOPATH = $(shell pwd)
-$(BIN):
+$(BIN): deps
go install $(PROJECT)/cmd/$(BIN)
+deps: export GOPATH = $(shell pwd)
+deps:
+ go get $(PROJECT)/...
+
+clean_deps: export GOPATH = $(shell pwd)
+clean_deps:
+ go clean -i -r $(PROJECT)/... 2>/dev/null || true
+
test: export GOPATH = $(shell pwd)
test:
go test $(PROJECT)/...
-clean:
- -rm $(BIN_DIR)/$(BIN)
+clean: clean_deps
-rmdir $(BIN_DIR)
+ rm -rf $(PKG_DIR)
+ find $(SRC_DIR) -mindepth 1 -maxdepth 1 ! -name $(PROJECT) -exec rm -rf {} +
-.PHONY: all run build test clean $(BIN)
+.PHONY: all run build deps clean_deps test clean $(BIN)